### Signal

# Adw TabBar::extra-drag-value

since: 1.3

#### Declaration

    GdkDragAction
    extra_drag_value (
      AdwTabBar* self,
      AdwTabPage* page,
      const GValue* value,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the dropped content is preloaded.

In order for data to be preloaded, `AdwTabBar:extra-drag-preload` must be set to `TRUE`.

The content must be of one of the types set up via `adw_tab_bar_setup_extra_drop_target()`.

See `GtkDropTarget:value`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.3

#### Parameters

`page`

  Type: `AdwTabPage`

  The page matching the tab the content was dropped onto.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  The `GValue` being dropped.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkDragAction`

The preferred action for the drop on `page`.